Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
basicsocket.c File Reference
`#include "rubysocket.h"`

Go to the source code of this file.

## Macros
#define | bsock_getpeereid rb_f_notimplement

## Functions
VALUE | rsock_bsock_send (int argc, VALUE *argv, VALUE sock)
void | rsock_init_basicsocket (void)

## Macro Definition Documentation

## ◆ bsock_getpeereid

#define bsock_getpeereid rb_f_notimplement

Definition at line 453 of file basicsocket.c.

## Function Documentation

## ◆ rsock_bsock_send()

VALUE rsock_bsock_send | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | sock
| ) |  |

Definition at line 540 of file basicsocket.c.

References arg, argc, argv, BLOCKING_REGION_FD, rb_io_t::fd, rsock_send_arg::flags, GetOpenFile, n, NIL_P, NUM2INT, rb_io_wait_writable(), rb_scan_args, rb_str_new4, rb_sys_fail(), rsock_maybe_fd_writable, rsock_send_blocking(), rsock_sendto_blocking(), RSTRING_PTR, RSTRING_SOCKLEN, SockAddrStringValue, SSIZET2NUM, StringValue(), and rsock_send_arg::to.

## ◆ rsock_init_basicsocket()

void rsock_init_basicsocket | ( | void |  | ) |

Definition at line 704 of file basicsocket.c.

References rb_cBasicSocket, rb_cIO, rb_define_class(), rb_define_singleton_method(), and rb_undef_method().

Referenced by Init_socket().